Bug 53520 - reiserfs's fail to umount during shutdown after kernel upgrade to 2.4.3-12
reiserfs's fail to umount during shutdown after kernel upgrade to 2.4.3-12
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
http://bugzilla.redhat.com/bugzilla/s...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-10 16:32 EDT by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 13:19:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-09-10 16:32:07 EDT
Description of Problem:
Shutdown/Reboot hang on "Unmounting file systems". Keyboard is still
responsive (enter outputs line break to stdout), but shutdown just halts
there, and no file systems are umounted.

Shutdown/Reboot IS successful with origonal kernel 2.4.2-2.
Upgrade and reinstalls of 2.4.3-12 kernel from rpm cause problem to repeat.
rpm -ivh --force of kernel 2.4.2-2 (and headers) make problem go away
again.

This is on a Dell Latitue CPi D266XT laptop with 96mb ram, 10gig hdd (which
is non-standard. Bios only reports 8gig, linux uses full drive), 266
Pentium II.

Output of fdisk -l /dev/hda:
Disk /dev/hda: 255 heads, 63 sectors, 2432 cylinders
Units = cylinders of 16065 * 512 bytes
   Device Boot    Start       End    Blocks   Id  System
/dev/hda1             1       128   1028128+  83  Linux
/dev/hda2           129       766   5124735   83  Linux
/dev/hda3           767       783    136552+  82  Linux swap
/dev/hda4           784      2432  13245592+   5  Extended
/dev/hda5           784      1803   8193118+  83  Linux
/dev/hda6          1804      2058   2048256   83  Linux
/dev/hda7          2059      2432   3004123+  83  Linux

cat /etc/fstab:
/dev/hda1      /                       ext2            defaults        1 1
/dev/hda5      /home                   reiserfs        defaults        1 2
/dev/hda2      /usr                    reiserfs        defaults        1 2
/dev/fd0        /mnt/floppy             auto            noauto,owner    0 0
none            /proc                   proc    defaults        0 0
none            /dev/pts                devpts  gid=5,mode=620  0 0
/dev/hda3       swap                    swap    defaults        0 0
/dev/cdrom      /mnt/cdrom              iso9660 noauto,owner,kudzu,ro 0 0
/dev/hda6       /mnt/hda6               reiserfs        defaults        0 3
/dev/hda7       /mnt/hda7               reiserfs        defaults        0 3


Version-Release number of selected component (if applicable): 2.4.3-12


How Reproducible:
I don't have another machine I'm able to test this on at this time, but on
this machine I have tested re-installing kernel-2.4.3-12 and headers adn
source and docs, and it causes the same problems. Reverting to 2.4.3-12
fixes it.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Everything else is functioning normally with new kernel. System runs fine
until shutdown attempts (which would actually be fine by me if this wasn't
a laptop).
The hard drive is non-standard for this laptop and is above max size. I
doubt this has anything to do with it, but it might. The origonal hard
drive is completely dead, or I'd swap it back in and test with it.	

Reverting to kernel 2.4.2-2 fixes the problem, and the bugs on it don't
seem to be too bad, so it's an acceptable solution for me for now.
Comment 1 Arjan van de Ven 2001-09-10 16:36:32 EDT
There is a known issue in 2.4.3-12 wrt reiserfs unmounting;
I've put up a fixed 2.4.3 kernel at
http://people.redhat.com/arjanv/testkernels/
for this; might be worth a try.

(sometimes some architectures are missing, I don't have too much quota but if
one is missing just ask and I'll put it up somehow)
Comment 2 Need Real Name 2001-09-10 16:52:01 EDT
Thank you! 2.4.3-18 fixed the problem.
Comment 3 Oliver Jones 2001-10-12 04:49:30 EDT
When are we going to get an official 'update' to the kernel.  RH7.1 kernels are 
pretty old now.

Note You need to log in before you can comment on or make changes to this bug.